<template>
  <!-- 装船作业明细页面 -->
  <div class="shipTransport">
    <div class="top">

      <el-input class="el-input" placeholder="请输入内容" v-model="input" clearable> </el-input>
<!--       
       <el-date-picker v-model="startTime" type="datetime" placeholder="选择日期"></el-date-picker>
      <span>至</span>
      <el-date-picker v-model="endTime" type="datetime" placeholder="选择日期"></el-date-picker> -->

      <el-button type="primary" class="btn" @click="onclick">
        <i class="el-icon-search"></i>查询
      </el-button>
      <el-button type="primary" @click="refresh()">
        <i class="el-icon-refresh"></i>刷新
      </el-button>
    <dilTable v-bind.sync="option">
    </dilTable>
  </div>
  </div>
</template>

<script>
import { sjTime } from "@/utils/sharedJsFile";
import { getCookie } from "@/utils/util.js";
export default {
  name: "homeworkPath",
  data() {
    return {
      restaurants: [],
      input: "",
        startTime: null,
      endTime: null,
      option: {
        // 表格请求数据的地址
        requestUrl: "/api/v1/tms/listAllOrders?apiId=56",
      },
    };
  },
  mounted() {
  },
  methods: {
    onclick() {
      let startTime = null;
      let endTime = null;
      if (this.startTime) {
        startTime = sjTime(this.startTime);
      }
      if (this.endTime) {
        endTime = sjTime(this.endTime);
      }
      if(startTime && endTime && startTime < endTime){
        this.option.requestUrl = "/api/v1/tms/listAllOrders?apiId=56&con=" + this.input+
                "&startTime=" +
                startTime +
                "&endTime=" +
                endTime;
      }else{
        this.option.requestUrl = "/api/v1/tms/listAllOrders?apiId=56&con=" + this.input;
      }
      
    },
    btnclick(pathId) {
      this.$router.push("/path/addHomeworkPath/" + pathId);
    },
    refresh(){
      this.$router.go(0);
    }
  },
};
</script>
<style lang='scss' scoped>
.shipTransport {
  .top {
     padding: 1.25rem 0.375rem;
     .el-input{
       width: 20%;
       margin-right: 40rpx;
     }
     .btn{
       width: 5.5%;
       margin-left: 0.25rem;
     }

  }
}
</style>